import 'package:json_annotation/json_annotation.dart';

import '../../../api_response.dart';
import '../custom_timetable_event.dart';

part 'get_custom_timetable_event_response.g.dart';

@JsonSerializable()
class GetCustomTimetableEventResponse extends ApiResponse {
  List<CustomTimetableEvent> events;

  GetCustomTimetableEventResponse(this.events);

  factory GetCustomTimetableEventResponse.fromJson(Map<String, dynamic> json) =>
      _$GetCustomTimetableEventResponseFromJson(json);
  Map<String, dynamic> toJson() =>
      _$GetCustomTimetableEventResponseToJson(this);
}
